#!/bin/sh
# 	Copyright (c) 2003-2005 The SCO Group, Inc. All Rights Reserved. 

#ident	"@(#)opensrc:src/db/db.sh /main/uw714mp/3"

#
# db-4.1.25 distribution from http://www.sleepycat.com/.
#

set -x
set -e

cd dist
for patch in 4.1.25-port
do
        [ -f ../patches/${patch}.applied ] || {
                /bin/patch -c -p1 -i ../patches/${patch}.patch
                /bin/date > ../patches/${patch}.applied
        }
done

# Configure and build in a separate work directory.
cd ..
/bin/mkdir -p work
cd work

# Do not explicitly link libc in shared libraries.
lt_cv_archive_cmds_need_lc=no; export lt_cv_archive_cmds_need_lc

../dist/dist/configure \
	--host=i686-sco-sysv5UnixWare7.1.4 \
	--build=i686-sco-sysv5UnixWare7.1.4 \
	--prefix=/usr

# Use ksh otherwise libtool does not work.
$MAKE SHELL=/usr/bin/ksh

# Install headers and libraries in xenv.
$MAKE SHELL=/usr/bin/ksh prefix=$TOOLS/usr install_lib install_include

# Now install in $ROOT/$MACH.
$MAKE SHELL=/usr/bin/ksh \
	prefix=$ROOT/$MACH/usr \
	docdir=$ROOT/$MACH/usr/share/db/doc install

cd ../dist

# Install LICENSE file.
$INSTALL -d $ROOT/$MACH/usr/share/db
$INSTALL -m 0444 LICENSE $ROOT/$MACH/usr/share/db

cd ..

# Install docview glue.
DIR=/usr/share/meta/doc/UWDeveloper
$INSTALL -d $ROOT/$MACH/$DIR
$INSTALL -m 0444 db.desktop $ROOT/$MACH/$DIR/db.desktop

exit 0
